ConstructWithModelingProgram
Keywords: uk.ac.ic.doc.automed.reps.ConstructWithModelingProgram,ConstructWithModelingProgram class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class ConstructWithModelingProgram

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.reps.Construct
            |
            +--uk.ac.ic.doc.automed.reps.ConstructWithModelingProgram

All Implemented Interfaces:
  java.util.Comparator

public class ConstructWithModelingProgram
extends Construct

The class describing Construct objects together with their graphical representations/ModelingProgram objects

See Also:
  `Construct`, `ModelingProgram`

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.reps.Construct
`CLASS_ALTERNATION, CLASS_CONSTRAINT, CLASS_LINK, CLASS_LINK_NODAL, CLASS_MAXIMUM, CLASS_MINIMUM, CLASS_NODAL, CLASS_SEQUENCE, CONSTRUCT_TYPE_ANY, CONSTRUCT_TYPE_ARRAY, CONSTRUCT_TYPE_REFERENCE, ConstructAny, ConstructArray, ConstructReference`

Constructor Summary
`protected` | `ConstructWithModelingProgram(Model model, int cid, java.lang.String constructName, int constructClass, boolean constructIsRoot)` Creates a new Construct.

Method Summary
`static Construct` | `getConstructByCID(int cid)`
`ModelingProgram` | `getModelingProgram()` Returns the ModelingProgram that defines the graphical representation of this Construct.
`void` | `remove()` Removes this ConstructWithModelingProgram object.
`void` | `removeModelingProgram()` Remove the ModelingProgram from this Construct.
`void` | `setModelingProgram(ModelingProgram program)` Defines the graphical representation of this Construct.

Methods inherited from class uk.ac.ic.doc.automed.reps.Construct
`addConstraintScheme, addConstraintScheme, addConstraintScheme, addConstraintScheme, addEdgeNameScheme, addEdgeNameScheme, addLabelScheme, addLabelScheme, addLabelScheme, addLabelScheme, addNodeNameScheme, addNodeNameScheme, addNodeNameScheme, addNodeNameScheme, addReferenceScheme, addReferenceScheme, addReferenceScheme, addReferenceScheme, compare, createConstructScheme, equals, exportSchemes, exportSchemes, getArcDrawable, getBackgroundColor, getCID, getConstraintDefinition, getConstruct, getConstructClass, getConstructClassString, getConstructDescription, getForegroundColor, getModel, getName, getSchemaObjects, getScheme, getTextColor, getValuePosInScheme, getVertexDrawable, importSchemes, isRoot, removeConstructFromMap, retract, setArcDrawable, setBackgroundColor, setConstraintDefinition, setConstructClass, setForegroundColor, setName, setRoot, setTextColor, setVertexDrawable, write, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructWithModelingProgram

    protected ConstructWithModelingProgram(Model model,
                                           int cid,
                                           java.lang.String constructName,
                                           int constructClass,
                                           boolean constructIsRoot)

  Creates a new Construct.

Method Detail

### removeModelingProgram

    public void removeModelingProgram()
                               throws RepositoryAccessException

  Remove the ModelingProgram from this Construct.

  Throws:
    `RepositoryAccessException` - if the repositories cannot be accessed

### remove

    public void remove()

  Removes this ConstructWithModelingProgram object. Method not concerned with MDR.

  Overrides:
    `remove` in class `Construct`

### getConstructByCID

    public static Construct getConstructByCID(int cid)
                                       throws AutoRepException

    `AutoRepException`

### setModelingProgram

    public void setModelingProgram(ModelingProgram program)
                            throws SchemaModelingRepositoryException,
                                   RepositoryAccessException

  Defines the graphical representation of this Construct.

  Parameters:
    `program` - the representation of this Construct.
  Throws:
    `SchemaModelingRepositoryException` - see `SchemaModelingRepository.createConstructModeling(int, int, String)`
    `RepositoryAccessException` - if the repositories cannot be accessed

### getModelingProgram

    public ModelingProgram getModelingProgram()

  Returns the ModelingProgram that defines the graphical representation of this Construct.

  Returns:
    the ModelingProgram of this Construct.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD